/*
Fake emeralds are made to show the chaos emeralds in the map on 
ringslinger modes as a cosmetic. since the original chaos emeralds
objects can't be spawned on ringslinger modes on a fixed position

Has the same properties like the original but not collectable

Using pre-2.2 emerald sprites (1.09.4)
*/

freeslot("MT_FAKE_EGREEN",
		"MT_FAKE_ECYAN",
		"MT_FAKE_ERED",
		"MT_FAKE_EBLUE",
		"MT_FAKE_EPURPLE",
		"MT_FAKE_EORANGE",
		"MT_FAKE_EGRAY",
		"S_FAKE_EGREEN",
		"S_FAKE_ECYAN",
		"S_FAKE_ERED",
		"S_FAKE_EBLUE",
		"S_FAKE_EPURPLE",
		"S_FAKE_EORANGE",
		"S_FAKE_EGRAY",
		"SPR_SCEM"
		)
		
states[S_FAKE_EGREEN] = {SPR_SCEM, FF_FULLBRIGHT|A, -1, nil, 0, 0, S_FAKE_EGREEN}
states[S_FAKE_ECYAN] = {SPR_SCEM, FF_FULLBRIGHT|F, -1, nil, 0, 0, S_FAKE_ECYAN}
states[S_FAKE_ERED] = {SPR_SCEM, FF_FULLBRIGHT|E, -1, nil, 0, 0, S_FAKE_ERED}
states[S_FAKE_EBLUE] = {SPR_SCEM, FF_FULLBRIGHT|D, -1, nil, 0, 0, S_FAKE_EBLUE}
states[S_FAKE_EPURPLE] = {SPR_SCEM, FF_FULLBRIGHT|C, -1, nil, 0, 0, S_FAKE_EPURPLE}
states[S_FAKE_EORANGE] = {SPR_SCEM, FF_FULLBRIGHT|B, -1, nil, 0, 0, S_FAKE_EORANGE}
states[S_FAKE_EGRAY] = {SPR_SCEM, FF_FULLBRIGHT|G, -1, nil, 0, 0, S_FAKE_EGRAY}

mobjinfo[MT_FAKE_EGREEN] = {
        doomednum = 1722,
        spawnstate = S_FAKE_EGREEN,
        speed = 0,
        radius = 16*FRACUNIT,
        height = 32*FRACUNIT,
        mass = 1,
        flags = MF_NOGRAVITY|MF_SPECIAL
}

mobjinfo[MT_FAKE_ECYAN] = {
        doomednum = 1723,
        spawnstate = S_FAKE_ECYAN,
        speed = 0,
        radius = 16*FRACUNIT,
        height = 32*FRACUNIT,
        mass = 1,
        flags = MF_NOGRAVITY|MF_SPECIAL
}

mobjinfo[MT_FAKE_ERED] = {
        doomednum = 1724,
        spawnstate = S_FAKE_ERED,
        speed = 0,
        radius = 16*FRACUNIT,
        height = 32*FRACUNIT,
        mass = 1,
        flags = MF_NOGRAVITY|MF_SPECIAL
}

mobjinfo[MT_FAKE_EBLUE] = {
        doomednum = 1725,
        spawnstate = S_FAKE_EBLUE,
        speed = 0,
        radius = 16*FRACUNIT,
        height = 32*FRACUNIT,
        mass = 1,
        flags = MF_NOGRAVITY|MF_SPECIAL
}

mobjinfo[MT_FAKE_EPURPLE] = {
        doomednum = 1726,
        spawnstate = S_FAKE_EPURPLE,
        speed = 0,
        radius = 16*FRACUNIT,
        height = 32*FRACUNIT,
        mass = 1,
        flags = MF_NOGRAVITY|MF_SPECIAL
}

mobjinfo[MT_FAKE_EORANGE] = {
        doomednum = 1727,
        spawnstate = S_FAKE_EORANGE,
        speed = 0,
        radius = 16*FRACUNIT,
        height = 32*FRACUNIT,
        mass = 1,
        flags = MF_NOGRAVITY|MF_SPECIAL
}

mobjinfo[MT_FAKE_EGRAY] = {
        doomednum = 1728,
        spawnstate = S_FAKE_EGRAY,
        speed = 0,
        radius = 16*FRACUNIT,
        height = 32*FRACUNIT,
        mass = 1,
        flags = MF_NOGRAVITY|MF_SPECIAL
}