--Port notes
--Thing 1714 = Sonic NPC
--Thing 1715 = Tails NPC
--Thing 1716 = Knux NPC

freeslot("MT_SCITY_GRAYSONIC",
		"MT_SCITY_PURPLETAILS",
		"MT_SCITY_KNUX",
		"S_SCITY_GRAYSONIC",
		"S_SCITY_PURPLETAILS",
		"S_SCITY_KNUX",
		"SPR_SCNP",
		"SPR_SCIT",
		"MT_SCITY_FISH",
		"MT_SCITY_EGGS",
		"MT_SCITY_CHOCOLATE",
		"MT_SCITY_CHAOSCOLA",
		"S_SCITY_FISH",
		"S_SCITY_EGGS",
		"S_SCITY_CHOCOLATE",
		"S_SCITY_CHAOSCOLA")

states[S_SCITY_GRAYSONIC] = {SPR_SCNP, A, -1, nil, 0, 0, S_SCITY_GRAYSONIC}
states[S_SCITY_PURPLETAILS] = {SPR_SCNP, B, -1, nil, 0, 0, S_SCITY_PURPLETAILS}
states[S_SCITY_KNUX] = {SPR_SCNP, C, -1, nil, 0, 0, S_SCITY_KNUX}
states[S_SCITY_FISH] = {SPR_SCIT, A, -1, nil, 0, 0, S_SCITY_KNUX}
states[S_SCITY_EGGS] = {SPR_SCIT, D, -1, nil, 0, 0, S_SCITY_KNUX}
states[S_SCITY_CHOCOLATE] = {SPR_SCIT, B, -1, nil, 0, 0, S_SCITY_KNUX}
states[S_SCITY_CHAOSCOLA] = {SPR_SCIT, C, -1, nil, 0, 0, S_SCITY_KNUX}

mobjinfo[MT_SCITY_GRAYSONIC] = {
        doomednum = 1715,
        spawnstate = S_SCITY_GRAYSONIC,
        speed = 0,
        radius = 16*FRACUNIT,
        height = 56*FRACUNIT,
        mass = 1000,
        flags = MF_SOLID
}

mobjinfo[MT_SCITY_PURPLETAILS] = {
        doomednum = 1716,
        spawnstate = S_SCITY_PURPLETAILS,
        speed = 0,
        radius = 16*FRACUNIT,
        height = 56*FRACUNIT,
        mass = 1000,
        flags = MF_SOLID
}

mobjinfo[MT_SCITY_KNUX] = {
        doomednum = 1717,
        spawnstate = S_SCITY_KNUX,
        speed = 0,
        radius = 16*FRACUNIT,
        height = 56*FRACUNIT,
        mass = 1000,
        flags = MF_SOLID
}

mobjinfo[MT_SCITY_FISH] = {
        doomednum = 1718,
        spawnstate = S_SCITY_FISH,
        speed = 0,
        radius = 8*FRACUNIT,
        height = 16*FRACUNIT,
        mass = 1,
        flags = MF_SOLID|MF_PUSHABLE
}

mobjinfo[MT_SCITY_CHOCOLATE] = {
        doomednum = 1719,
        spawnstate = S_SCITY_CHOCOLATE,
        speed = 0,
        radius = 8*FRACUNIT,
        height = 16*FRACUNIT,
        mass = 1,
        flags = MF_SOLID|MF_PUSHABLE
}

mobjinfo[MT_SCITY_CHAOSCOLA] = {
        doomednum = 1720,
        spawnstate = S_SCITY_CHAOSCOLA,
        speed = 0,
        radius = 8*FRACUNIT,
        height = 16*FRACUNIT,
        mass = 1,
        flags = MF_SOLID|MF_PUSHABLE
}

mobjinfo[MT_SCITY_EGGS] = {
        doomednum = 1721,
        spawnstate = S_SCITY_EGGS,
        speed = 0,
        radius = 8*FRACUNIT,
        height = 16*FRACUNIT,
        mass = 1,
        flags = MF_SOLID|MF_PUSHABLE
}